name: release

on:
  schedule:
    - cron: '0 10 * * *'
  push:
    branches:
      - main

jobs:
  release-default:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout
        uses: actions/checkout@v4

      - name: Set up QEMU
        uses: docker/setup-qemu-action@v3

      - name: Set up Docker BuildX
        uses: docker/setup-buildx-action@v3

      - name: Login to DockerHub
        uses: docker/login-action@v3
        with:
          username: ${{ secrets.DOCKER_REGISTRY_USER }}
          password: ${{ secrets.DOCKER_REGISTRY_PASSWORD }}

      - name: Check syntax docker
        uses: hadolint/hadolint-action@v3.1.0
        with:
          dockerfile: Dockerfile
          ignore: DL3013,DL3008,DL4006

      - name: Push Docker image
        uses: docker/build-push-action@v6
        with:
          context: .
          file: Dockerfile
          platforms: |
            linux/amd64
            linux/arm64
          push: true
          no-cache: false
          tags: |
            ${{ secrets.DOCKER_REGISTRY_USER}}/driving-academy:${{ github.sha }}
            ${{ secrets.DOCKER_REGISTRY_USER}}/driving-academy:latest
